'==============================================================================
'= DRVRTEST.INC   Copyright (C) 1991-1992 Microsoft Corporation
'=                Portions Copyright 1992, Daniel A. Norton
'=
'=    This file contains constants, declarations, data definitions,
'=    SUB's and FUNCTIONS commonly needed.
'=
'==============================================================================

'======================== Standard Test Globals ===============================
Global Test As String, Message As String, DebugInfo As String, CR As String
Global ErrorCount As Integer, FailFlag As Integer
Global ResultFile As String
ResultFile = "Results.Txt"

'======================  TESTDRVR Specific Accelerator Keys ==================
Const K_ENDFILE = "^{END}"
Const K_BEGFILE = "^{HOME}"
Const K_YES	= "%Y"
Const K_NO	= "%N"
Const K_CANCEL	= "{ESC}"
Const K_UNDO	= "%{BS}"

'=====================  Miscellaneous Test Strings ============================
Const DEFAULT_SCRIPT	  = "Script1"	' TESTDRVR window text for starting script.
Const DRIVER = "TESTDrvr.EXE"

Const RBEDIT = "RBEDIT"
Const LABEL_CLASS = "Static"

'======================== $DEFINES and $INCLUDES ===================================

'$ifdef FILE_SUBS
'   $define W_BUTTON
'$endif

'$ifdef SEARCH_SUBS
'   $define W_CHECK
'   $define W_BUTTON
'   $define W_EDIT
'$endif

'$ifdef SCROLL_SUBS
'   $define W_MISC
'   $define TESTEVNT
'$endif

' $include: 'MSTEST.INC'

'=========================== Constants Used by All Menus =================

Const USE_KEYBOARD    = 0
Const USE_MENU	      = 1
Const INSERT_MODE     = 0
Const OVERSTRIKE_MODE = 1

Const ID_OK	= "OK"
Const ID_CANCEL = "CANCEL"

'$ifdef W_MENU
'----------------------------------------------------------------------------
' MenuCommand: Issue a Menu Command
'
'   Pseudo-code:
'       If Use Keystrokes -->
'           Send specified keystrokes
'       Else If Use Menu Item Names -->
'           Select Top-level Menu Item
'           Select Sub-menu Item
'----------------------------------------------------------------------------
Declare Sub MenuCommand(sMethod%, ByMenuTop$, ByMenuItem$, ByKeyBoard$)
Sub MenuCommand(sMethod%, ByMenuTop$, ByMenuItem$, ByKeyBoard$) STATIC
    Select Case sMethod
	Case USE_KEYBOARD
            DoKeys byKeyBoard$
	Case USE_MENU
            WMenu ByMenuTop$
            WMenu ByMenuItem$
    End Select
End Sub
'$endif

'======================  FUNCTIONS and SUBs ===============================

'$ifdef FILE_SUBS
'$include 'FILETST.INC'
'$endif 'FILE_SUBS

'$ifdef EDIT_SUBS
'$include 'EDITTST.INC'
'$endif 'EDIT_SUBS

'$ifdef SEARCH_SUBS
'$include 'SRCHTST.INC'
'$endif 'SEARCH_SUBS

'$ifdef RUN_SUBS
'$include 'RUNTST.INC'
'$endif 'RUN_SUBS

'$ifdef OPTIONS_SUBS
'$include 'OPTTST.INC'
'$endif 'OPTIONS_SUBS

'$ifdef WINDOW_SUBS
'$include 'WINTST.INC'
'$endif 'WINDOW_SUBS

'$ifdef SCROLL_SUBS
'$include 'SCRLTST.INC'
'$endif 'SCROLL_SUBS
